# Hyperspace Document Prototype

The following outlines the Hyperspace document prototype (not all field types are included).

{% code title="Document prototype" lineNumbers="true" fullWidth="false" %}

```python
document = {
        'some_counter'       : 8,                        # unsigned integer
        'visit_times_1y'     : ['Saturday, August 21, 2010 11:22:31 AM','Friday, August 20, 2010 7:35:51 AM'] # date         
        'field0_embeded32'   : [0.45,0.99,0.543,0.324],  # K elements vector
        'field2_int'         : None,                     # null integer
        'field3_float'       : 7.45,                     # scalar float
        'field4_list_float'  : [7.459],                  # list of float - 1 element 
        'field5_list_float'  : [7.459, 3.4],             # list of float - 2 element 
        'field6_list_float'  : [],                       # list of float - 0 element 
        'field7_str'         : None,                     # scalar string - null
        'field8_str'         : 'jojo',                   # scalar string
        'field10_list_str'   : [],                       # list of string - 0 element           
        'field11_list_str'   : ['jojo'],                 # list of string - 1 element 
        'field12_list_str'   : ['jojo', 'koko']          # list of string - 2 element
        'field21_list_ip'    : [171.180.143.162, 211.34.144.18, 35.115.68.135] # geo location          
        }
        
```

{% endcode %}

Most fields support the use of **list** types, where a vector field type is used for vector and hybrid search. Other types (metadata) are used in lexical and hybrid searches.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/reference/hyperspace-document-prototype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
